Browse Source

Add script to fetch result from different hosts

Matthias Vogelgesang 7 years ago
parent
commit
57fc11b4e2
2 changed files with 12 additions and 0 deletions
  1. 1 0
      .gitignore
  2. 11 0
      fetch-results.sh

+ 1 - 0
.gitignore

@@ -1,4 +1,5 @@
 build
+hosts
 install
 results
 src

+ 11 - 0
fetch-results.sh

@@ -0,0 +1,11 @@
+#!/bin/bash
+
+if [ ! -f "hosts" ]; then
+    echo "No hosts file found."
+    exit 1
+fi
+
+while read line; do
+    echo $line
+    scp -r "$line/*" results/
+done <hosts